MediaWiki:Mobile.css:修订间差异

imported>=海豚=
无编辑摘要
top:​bad link repair, replaced: hmoegirl.com → hmoegirl.info
 
(未显示3个用户的162个中间版本)
第1行: 第1行:
/* 放置于这里的CSS将影响使用移动版网站的用户 */
/* 放置于这里的CSS将影响使用移动版网站的用户 */
/* 维护者请注意,由于可视化编辑器已不起作用,电脑端可以直接跳转到源代码编辑,可移动端无法跳转,失去了编辑的功能,所以默认在移动端启用了InPageEdit小工具,具体使用方法见帮助。----2020年3月11日留。 */
/* 标题样式调整*/
/* 黑幕 */
html>body.skin-minerva .content .mw-parser-output>h2::before,
.heimu, .heimu a, a .heimu, .heimu a.new {
html>body.skin-minerva .content .section-heading::before {
     background-color: #252525;
    content: "#";
     color: #252525;
    display: block;
     text-shadow: none;
    user-select: none;
    color: #ffa92f;
    background-color: #ffa92f;
    position: absolute;
    top: .6em;
    width: 6px;
    overflow: hidden;
}
html>body.skin-minerva .content .mw-parser-output > h2 .indicator, .content .section-heading .indicator {
    margin-left: 1em;
}
/* 链接样式 */
a:hover {
    text-decoration: none;
}
a, a:visited {
    text-decoration: none;
    color: #3366cc;
}
/* 目录样式 */
.client-js .toc-mobile {
     background-color: #F5F5F5 !important;
    border: solid 0px transparent !important;
    border-left: 4px solid #ffa92f !important;
}
/* 社群推荐背景样式 */
#mp-banner {
    background-image: url(https://www.hmoegirl.info/images/0/09/80468767.jpg);
}
/* 页顶提示模板相关 */
#commonBoxInfo {
     color: #f00;
    font-weight: bold;
     text-align: center;
}
#commonBoxList > .commonBoxButton {
    display: inline-block;
    border-bottom: 3px solid #000;
    width: 40px;
    height: 40px;
    background: #fff 50% 50% no-repeat;
    background-size: contain;
    cursor: pointer;
    transition: opacity .5s;
}
#commonBoxList.open > .commonBoxButton {
    opacity: .1;
}
#commonBoxList.open > .commonBoxButton.current {
    opacity: 1;
}
.common-box {
    padding: .2em .4em;
    border: 0.7px solid #ddd;
    -moz-border-radius: 10px;
    -webkit-border-radius: 10px;
    -khtml-border-radius: 10px;
    -o-border-radius: 10px;
    border-radius: 10px;
    background: rgba(250,250,250,0.65)!important;
}
/* 修复子页面列表和common-box宽度不足 */
.mw-prefixindex-list-table,
.common-box {
    width: 100% !important;
}
/* info类模板 */
.infobox {
  float: middle;
  clear: middle;
  margin:0 auto;
  background: rgba(251,251,251,0.7);
}
.infotemplatebox {
  padding: 0.2em;
  float: middle;
  clear: middle;
  background: rgba(251,251,251);
}
/* 编辑区样式 */
.mw-editTools {
    display: none!important;
}
}
.heimu:hover, .heimu:active,
#wpSummaryLabel > div > span > label{
.heimu:hover .heimu, .heimu:active .heimu {
     display:none;
     color: white !important;
}
}
.heimu:hover a, a:hover .heimu,
.CodeMirror-gutter-elt{
.heimu:active a, a:active .heimu {
     display: none;
     color: lightblue !important;
}
}
.heimu:hover .new, .heimu .new:hover, .new:hover .heimu,
.CodeMirror-gutters {
.heimu:active .new, .heimu .new:active, .new:active .heimu {
     display: none;
     color: #BA0000 !important;
}
}
.content .collapsible-heading .edit-page {
    visibility: inherit!important;
}
/* 表格优化 */
table.wraptable {
    white-space: normal;
}/*
.content table {
    display: table;
}*/
/* 修复单元格莫名空行 */
/* 修复单元格莫名空行 */
td {
td {
第26行: 第114行:
.mw-prefixindex-list-table,
.mw-prefixindex-list-table,
.common-box {
.common-box {
     width: 100%!important;
     width: 100% !important;
}
}
/* 侧边栏和替换logo图片隐藏 */
/* 侧边栏和替换logo图片隐藏 */
第35行: 第123行:
/* 导航条 */
/* 导航条 */
#breadcrumb {
#breadcrumb {
    font: bold 18px Arial, Helvetica, sans-serif;
     color: black;
     color: black;
     border: solid 1px rgb(204, 204, 204);
     border: solid 1px rgb(204, 204, 204);
第60行: 第147行:
     padding-right: 15px;
     padding-right: 15px;
     text-decoration: none;
     text-decoration: none;
     color: #454545!important;
     color: #454545 !important;
}
}
.home {
.home {
第68行: 第155行:
/* 注释文字 */
/* 注释文字 */
sup.mobileref {
sup.mobileref {
     display:none;
     display: none;
}
}
sup.mobileref:after {
sup.mobileref:after {
     content: " (" attr(title) ")";
     content: " ("attr(title) ")";
     display: inline;
     display: inline;
}
/* 页顶提示模板相关 */
#commonBoxInfo {
    color: #f00;
    font-weight: bold;
    text-align: center;
}
#commonBoxList > .commonBoxButton {
    display: inline-block;
    border-bottom: 3px solid #000;
    width: 40px;
    height: 40px;
    background: #fff 50% 50% no-repeat;
    background-size: contain;
    cursor: pointer;
    transition: opacity .5s;
}
#commonBoxList.open > .commonBoxButton {
    opacity: .1;
}
#commonBoxList.open > .commonBoxButton.current {
    opacity: 1;
}
/* infoBox */
.infoBox {
    margin: 0 auto;
    clear: both;
}
.infoBoxTitle {
    margin: 3px auto;
    padding: 0;
    text-align: center;
    font-weight: bold;
}
.infoBoxIcon {
    display: table-cell;
    padding: 2px 0 2px 0.5em;
    vertical-align: middle;
}
@media screen and (min-width: 640px) {
    .content .infoBoxIcon a > img {
        max-width: none!important;
    }
}
.infoBoxText {
    display: table-cell;
    padding: 0.25em 0.5em 0.25em 1.3em;
    width: 100%;
    vertical-align: middle;
}
.infoBoxContent {
    border: 1px solid #ddd;
    border-left-width: 0;
    background: #fbfbfb;
}
.infoBoxBelow {
    margin: 0 auto;
    padding: 0;
    text-align: center;
}
}
/* code 内边距修复 */
/* code 内边距修复 */
第137行: 第165行:
     padding: 3px
     padding: 3px
}
}
/* Tabs */
/* wikitable border */
.tab .TabLabelText {
#content.content table.wikitable {
    border-top: 3px solid transparent;
     border: none;
    padding: 1px;
    background: #fff;
    border-left: 1px solid transparent;
    border-right: 1px solid transparent;
    cursor: pointer;
    flex: none;
}
.tab .TabLabel {
    z-index: 2;
    position: sticky;
    top: 0;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    -o-user-select: none;
    user-select: none;
    display: flex;
    flex-wrap: wrap;
    background-color: white;
}
.tab .TabLabelText.selected {
     border-top: 3px solid green;
    padding: 1px;
    background: white;
    border-left: 1px solid #aaa;
    border-right: 1px solid #aaa;
}
.tab .TabContent {
    background: white;
    padding: 20px 30px;
    position: relative;
    z-index: 1;
    border: 1px solid #aaa;
}
.tab .TabContentText {
    display: none;
}
.tab .TabContentText.selected {
    display: block;
}
.Tabs .Tab {
    border-bottom: 1px solid #aaa;
}
.Tabs .Tab:first-child {
    border-top: 1px solid #aaa;
}
.Tabs .Tab .TabLabelText {
    padding: 7px;
}
.Tabs .Tab .TabContentText {
    padding: 3px;
}
}
/* wikitable green */
/* wikitable green */
第207行: 第184行:
}
}
/* 大家族模板 */
/* 大家族模板 */
.navbox th, .navbox-group {
.navbox th,
.navbox-group {
     background: #a5e4a5;
     background: #a5e4a5;
}
}
/* 来个高优先级的 */
body .content .navbox {
body .content .navbox {
     display: table !important;
     display: table!important;
}
}
.navbox .content table {
.navbox .content table {
     width: 100% !important;
     width: 100% !important;
}
}
.navbox {
.navbox {
     border: 1px solid #aaa;
     border: 1px solid #aaa;
     clear: both;
     clear: both;
第223行: 第200行:
     text-align: center;
     text-align: center;
     width: 100%;
     width: 100%;
    background: #fdfdfd;
    font-size: 97% !important;
}
}
.navbox-group {
.navbox-subgroup {
    background: #fdfdfd;
}
.navbox-title {
    border-radius:0 !important;
}
.navbox-group {
     white-space: nowrap;
     white-space: nowrap;
}
}
.navbox table {
.navbox table {
     width: 100% !important;
     width: 100% !important;
     margin: 0 !important;
     margin: 0 !important;
}
}
.navbox-subgroup .navbox-group {
.navbox-subgroup .navbox-group,
.navbox-abovebelow {
     background: #e6f6e6;
     background: #e6f6e6;
}
.navbox-title > div:first-of-type {
    display: none;
}
}
/* Fix by case : Rev 1327309 ([[Special:Permalink/1327309]])
/* Fix by case : Rev 1327309 ([[Special:Permalink/1327309]])
     Address alignment issue of nested tabs in Navbox */
     Address alignment issue of nested tabs in Navbox */
.navbox .TabLabel {
.navbox .TabLabel {
     text-align: left;
     text-align: left;
}
}
@media screen and (max-width: 640px) {
@media screen and (max-width: 640px) {
    .navbox-group {
    .navbox-group,
    .navbox-list,
    .navbox-title {
         display: block;
         display: block;
        width: 100% !important;
        box-sizing: border-box;
     }
     }
    .navbox-group + * {
    .navbox-group+* {
        display: block;
         border-left: 0 !important;
        width: 100%;
         border-top: 2px solid #fdfdfd;
         border-left: 1em solid #a5e4a5 !important;
         padding-left: 3px !important;
        padding-top: 3px !important;
        box-sizing: border-box;
     }
     }
    .navbox-subgroup .navbox-group + * {
    .navbox td[rowspan] {
         border-left: 1em solid #e6f6e6 !important;
         display: none;
     }
     }
}
}
 
/* 修复用户页欢迎辞覆盖编辑框的bug */
.GUP_Item_Title_Cell {
.overlay.visible {
     width: 5em;
     z-index: 3;
    background-color: #FFCCCC;
    white-space: nowrap;
    padding: 0.438em 0.625em;
    vertical-align: top;
    text-align: left;
}
}
.Infobox_GUP tr {
body .oo-ui-windowManager-modal > .oo-ui-dialog {
     border: 1px solid #a2a9b1;
     z-index: 3;
}
}
.Infobox_GUP td {
/* Fix by case: Tracklist doesn't display on mobile devices due to inappropriate margin configuration  */
    vertical-align: top;
.tracklist {
    padding: 0.438em 0.625em;
     margin: 0 !important;
}
/*{{Infobox Ooarai team}、{{GUP人物信息}}移动版CSS。*/
.Infobox_GUP {
    text-align: left;
    font-size: small;
    line-height: 1.5em;
    border: 1px solid #a2a9b1;
    background-color: #FFFFFF;
    float: right;
}
.GUP_Title_Cell {
     text-align: center;
    padding: 0.25em 0.33em 0.33em;
    line-height: 1.2em;
    font-size: 1.25em;
    background-color: #FF9999;
    color: #FFFFFF;
}
}
.GUP_Subtitle_Cell {
/* 扩展mediawiki.legacy.commonPrint,shared定义的样式 */
    text-align: center;
/* success and error messages */
    background-color: #FF9999;
.error,
    color: #FFFFFF;
.warning,
     font-size: 100%;
.success {
    padding: 0.438em 0.625em;
     font-size: larger;
}
}
.GUP_Item_Title_Cell {
.error {
     width: 5em;
     color: #d33;
    background-color: #FFCCCC;
    white-space: nowrap;
    padding: 0.438em 0.625em;
    vertical-align: top;
    text-align: left;
}
}
.Infobox_GUP tr {
.warning {
     border: 1px solid #a2a9b1;
     color: #705000;
}
}
.Infobox_GUP td {
.success {
     vertical-align: top;
     color: #009000;
    padding: 0.438em 0.625em;
}
}
/* 移动版替代编辑器 */
.errorbox,
.in-page-edit .mw-editsection,
.warningbox,
.in-page-edit .hide-for-guide {
.successbox {
  display: none;
    border: 1px solid;
    padding: 0.5em 1em;
    margin-bottom: 1em;
    display: inline-block;
    zoom: 1;
}
}
.in-page-edit {
.errorbox h2,
  color: #252525;
.warningbox h2,
}
.successbox h2 {
.in-page-edit .ssi-modalWindow {
    font-size: 1em;
  padding: 0;
    color: inherit;
  border-radius: 0;
    font-weight: bold;
}
     display: inline;
.in-page-edit .ssi-overflow {
    margin: 0 0.5em 0 0;
    background-image: radial-gradient(farthest-side at 50% 0,
    border: 0;
rgba(26,26,26,0.12),transparent),radial-gradient(farthest-side at 50% 100%,rgba(26,26,26,0.12),
    transparent);
    background-position: 0 0,0 100%;
    background-repeat: no-repeat;
    background-size: 100% 9px;
    position: relative;
    z-index: 1;
    padding-top: 0;
    padding-bottom: 0;
}
.in-page-edit .ssi-overflow:before,
.in-page-edit .ssi-overflow:after {
  content: '';
  display: block;
  background-color: #fff;
  height: 30px;
  position: relative;
  z-index: -1;
  margin: 0 0 -30px;
}
.in-page-edit .ssi-overflow:after {
  margin: 0 0 -29px;
}
.in-page-edit .ssi-topIcons {
  #background: #808080;
  text-align: center;
}
.in-page-edit .ssi-topIcons .ssi-closeIcon {
  background: none;
  color: #d33;
  height: 24px;
  width: 36px;
  font-size: 30px;
  line-height:  24px;
}
.in-page-edit .ssi-topIcons .ssi-closeIcon:hover {
  background: none;
  color: #f22;
  height: 24px;
  width: 36px;
  font-size: 30px;
  line-height:  24px;
}
.in-page-edit .ssi-closeIcon:before {
  content: '关闭';
  font-size: 16px;
  display: unset !important;
}
.in-page-edit:not(.notify) .ssi-modalTitle {
  font-style: normal;
  font-family: sans-serif;
  font-weight: bold;
  background: #ffffff;
  color: #252525;
  font-size: 1.1em;
  line-height: 1.8em;
  text-align: center;
}
.in-page-edit .editArea {
  max-width:100%;
  min-width:100%;
  min-height:350px;
  margin: 1em 0 0 0;
}
.notify .ssi-modalTitle {
  font-style: normal;
  font-family: inherit;
}
.in-page-edit.ipe-editor .ssi-buttons {
  background-color: #eaecf0;
  color: #222;
  /* border: 1px solid #c8ccd1; */
  border-top: 0;
  padding: 1em 1em 0.5em 1em;
  margin-bottom: 0;
}
.in-page-edit .editSummary {
  width: 98%;
  margin: 4px auto 8px 0.5em
}
.in-page-edit .editOptionsLabel {
  margin: 0 auto 16px auto;
}
.in-page-edit .btn {
  font-size: 16px;
  font-weight: bold;
  color: #222;
  border: 1px solid transparent;
  border-radius: 2px;
  padding: 0.25em 0.8em;
  transition: all .1s;
}
.in-page-edit .btn:focus {
  box-shadow: inset 0 0 0 1px #36c;
}
.in-page-edit .btn.btn-primary {
  color: #fff;
  background-color: #36c;
  border-color: #36c;
}
.in-page-edit .btn.btn-primary:hover {
  background-color: #447ff5;
  border-color: #447ff5;
}
.in-page-edit .btn.btn-primary:active {
  background-color: #2a4b8d;
}
.in-page-edit .btn.btn-secondary {
  color: #252525;
  border-color: #c8ccd1;
  background-color: #f8f9fa;
}
.in-page-edit .btn.btn-secondary:hover {
  background-color: #ffffff;
  color: #454545;
}
.in-page-edit .btn.btn-secondary:active {
  border: 1px solid #36c;
}
.in-page-edit .btn.btn-danger {
  background: transparent;
  color: #d33;
  background-color: #f4f4f4;
}
.in-page-edit .btn.btn-danger:hover {
  color: #ff4242;
  background-color: #fafafa;
}
.in-page-edit .btn.btn-danger:active {
  color: #d00;
  border: 1px solid #36c;
}
.in-page-edit .btn:disabled {
  background-color: #c8ccd1 !important;
  color: #ffffff !important;
  cursor: not-allowed;
}
.in-page-edit .btn:disabled:hover {
  background-color: #c8ccd1 !important;
  color: #ffffff !important;
}
.in-page-edit .btn:disabled .ssi-countDown {
  color: #fff;
}
.in-page-edit input {
  padding: 0.25em 0.35em;
  border: 1px solid #ccc;
  border-radius: 2px;
  transition: all .2s;
}
.in-page-edit input:focus {
  border-color: #36c;
  box-shadow: inset 0 0 0 1px #36c;
}
.in-page-edit.centerbox .ssi-modalWindow  {
  margin-top: 50% !important;
}
.in-page-edit.centerbox .ssi-modalContent  {
  padding-top: 18px;
  font-size: large;
}
.in-page-edit .dialog .ssi-buttons .btn {
  margin: 0;
  padding: 0.5em;
  background: transparent;
  color: #252525;
  border: 1px solid #efefef;
  border-radius: 0;
  width: 50%;
}
.in-page-edit .dialog .ssi-buttons .btn:hover {
  background: #f8f8f8 !important;
}
.in-page-edit .btn.btn-single {
  width: 100% !important;
}
.in-page-edit .dialog .ssi-buttons .btn.btn-danger {
  color: #c33;
}
.in-page-edit .dialog .ssi-buttons {
  padding: 0;
}
.in-page-edit .dialog .ssi-buttons .ssi-rightButtons {
  width: 100%;
}
.in-page-edit-article-link-group:before {
  content: '['
}
.in-page-edit-article-link-group:after {
  content: ']'
}
.mw-editsection .in-page-edit-article-link-group:before {
  content: ' | '
}
.mw-editsection .in-page-edit-article-link-group:after {
  content:''
}
.mw-diff-undo .in-page-edit-article-link-group {
  display: none;
}
 
/** 进度条 **/
.ipe-progress {
  height: 1em;
  border: 1px solid #c5c5c5;
  border-radius: 2px;
  background: white;
  overflow: hidden;
}
.ipe-progress .ipe-progress-bar {
  height: 100%;
  width: auto;
  background: #3360c3;
  animation: progress 2s linear infinite;
  opacity: 1;
}
.ipe-progress.done {
  background: #3360c3;
  transition: all 0.8s;
}
.ipe-progress.done .ipe-progress-bar {
  animation: none;
  width: 0%;
  margin: auto 0;
  opacity: 0;
  transition: all 0.8s;
}
@keyframes progress {
  from {
    margin-left: -40%;
    margin-right: 110%;
  }
  to {
     margin-left: 110%;
    margin-right: -40%;
  }
}
 
/* 通知框 */
.in-page-edit.notify {
  border-radius: 0;
  font-family: unset;
}
.in-page-edit.notify .ssi-modalTitle {
  background: none;
  color: unset;
}
 
/** 背景颜色 **/
.ssi-backdrop {
  background: rgba(255,255,255,0.5);
}
 
/** 修改checkbox样式 **/
.in-page-edit input[type=checkbox] + label {
  user-select: none;
}
.in-page-edit input[type=checkbox] + label::before {
  content: "\a0";  /* 不换行空格 */
  display: inline-block;
  vertical-align: 2px;
  width: 18px;
  height: 18px;
  margin-right: 5px;
  border-radius: 2px;
  background-color: #f8f8f8;
  text-indent: 2px;
  line-height: 1.1;
  border: 1px solid #72777d;
  cursor: pointer;
  transition: all 0.12s;
}
.in-page-edit input[type="checkbox"]:checked + label::before {
  content: "\2713"; /* 对号的 Unicode 编码 */
  font-size: 1em;
  font-weight: bold;
  background-color: #36c;
  color: white;
}
.in-page-edit input[type='checkbox']:checked + label:hover:before {
  background-color: #447ff5;
}
.in-page-edit input[type="checkbox"]:active + label::before,
.in-page-edit input[type="checkbox"]:focus + label::before {
  box-shadow: inset 0 0px 0px 1px rgb(255, 255, 255);
  border-color: #3366cc;
}
.in-page-edit input[type='checkbox'] {
  position: absolute;
  clip:rect(0,0,0,0);
}
.in-page-edit input[type='checkbox']:disabled + label::before {
  border-color: #d6d6d6;
}
.in-page-edit input[type='checkbox']:disabled:checked + label::before {
  background-color: #a0a0a0;
}
 
/* 右下角小工具箱 */
#ipe-edit-toolbox {
  position: fixed;
  right: 24px;
  bottom: 24px;
  user-select: none;
  z-index: 199;
}
#ipe-edit-toolbox #toolbox-toggle {
  transition: all .3s cubic-bezier(.54,-0.55,.44,1.5);
}
#ipe-edit-toolbox #toolbox-toggle.opened {
  transform: rotate(45deg);
}
#ipe-edit-toolbox .ipe-toolbox-btn {
  color: white;
  background: #bebebe;
  text-align: center;
  height: 45px;
  width: 45px;
  font-size: 30px;
  line-height: 50px;
  border: 0;
  border-radius: 50%;
  box-shadow: 0 0 5px gray;
  text-shadow: 0 0 2px #4c4c4c;
  padding: 0;
  margin-bottom: 4px;
  cursor: pointer;
}
#ipe-edit-toolbox .btn-group.group1 .btn-tip-group {
  transform: scale(0) translateY(40px) translateX(0px);
}
#ipe-edit-toolbox .btn-group.group2 .btn-tip-group {
  transform: scale(0) translateY(0px) translateX(40px);
}
#ipe-edit-toolbox .btn-group .btn-tip-group:nth-of-type(1) {
  transition: transform .2s cubic-bezier(.68,-0.55,.35,1);
}
#ipe-edit-toolbox .btn-group .btn-tip-group:nth-of-type(2) {
  transition: transform .2s cubic-bezier(.68,-0.55,.27,1) .14s;
}
#ipe-edit-toolbox .btn-group .btn-tip-group:nth-of-type(3) {
  transition: transform .2s cubic-bezier(.68,-0.55,.27,1) .28s;
}
#ipe-edit-toolbox .btn-group.opened .btn-tip-group {
  transform: scale(1) translateY(0px) translateX(0px);
}
#ipe-edit-toolbox .btn-group.opened .btn-tip-group:nth-of-type(3) {
  transition: transform .2s cubic-bezier(.68,-0.55,.27,1.8);
}
#ipe-edit-toolbox .btn-group.opened .btn-tip-group:nth-of-type(2) {
  transition: transform .2s cubic-bezier(.68,-0.55,.27,1.8) .14s;
}
#ipe-edit-toolbox .btn-group.opened .btn-tip-group:nth-of-type(1) {
  transition: transform .2s cubic-bezier(.68,-0.55,.27,1.8) .28s;
}
#ipe-edit-toolbox .ipe-toolbox-btn#toolbox-toggle {
  width: 50px;
  height: 50px;
  background: #bebebe;
  font-size: 40px;
  line-height: 56px;
}
#ipe-edit-toolbox .ipe-toolbox-btn#edit-btn {
  background: #45a8ff;
}
#ipe-edit-toolbox .ipe-toolbox-btn#redirectfrom-btn {
  background: #ffa530;
}
#ipe-edit-toolbox .ipe-toolbox-btn#redirectto-btn {
  background: #ff4985;
}
#ipe-edit-toolbox .ipe-toolbox-btn#preference-btn {
  background: #4caf50;
}
#ipe-edit-toolbox .ipe-toolbox-btn#deletepage-btn {
  background: #f00000;
}
#ipe-edit-toolbox .ipe-toolbox-btn#renamepage-btn {
  background: #ca7efe;
}
#ipe-edit-toolbox .ipe-toolbox-btn.not-allowed {
  #box-shadow: 0 0 0 4px #ff4141 !important;
  background: #cdcdcd !important;
}
#ipe-edit-toolbox .ipe-toolbox-btn.not-allowed:before {
  content: 'add';
  color: red;
  display: block;
  font-size: 86px;
  position: absolute;
  transform: rotate(45deg);
  margin-top: 2px;
  margin-left: -22px;
}
#ipe-edit-toolbox .btn-group {
  height: auto;
  margin-left: 2px;
  position: relative;
  list-style: none;
}
#ipe-edit-toolbox .btn-group.group2 {
  position: absolute;
  right: 50px;
  margin: 5px 0 0 0;
}
#ipe-edit-toolbox .btn-group.opened {
  visibility: visible
}
}
#ipe-edit-toolbox .btn-group.group2 .btn-tip-group {
.errorbox {
  margin-right: 6px;
    color: #d33;
    border-color: #fac5c5;
    background-color: #fae3e3;
}
}
#ipe-edit-toolbox .btn-tip-group .btn-tip {
.warningbox {
  position: absolute;
    color: #705000;
  text-align: center;
    border-color: #fde29b;
  font-size: 12px;
    background-color: #fdf1d1;
  width: 6em;
  right: -12px;
  top: -2em;
  background: white;
  padding: 0px 4px;
  box-shadow: 0 0 4px gray;
  display: none;
}
}
#ipe-edit-toolbox .btn-tip-group:hover .btn-tip {
.successbox {
  display: block;
    color: #008000;
    border-color: #b7fdb5;
    background-color: #e1fddf;
}
}
#ipe-edit-toolbox .btn-tip-group .btn-tip:after {
/* 折叠/展开(或自定义内容)的文字颜色,和桌面版一致,用于提示点击可触发事件。 */
  content: "";
a.mw-collapsible-text {
  background: ;
    color: #3366cc;
  display: block;
  border: 5px solid transparent;
  border-right-color: #fff;
  border-bottom-color: #fff;
  position: absolute;
  bottom: -4px;
  left: calc(50% - 2.5px);
  transform: rotate(45deg);
}
}